Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class Visitors

    java.lang.Object
      org.modeshape.graph.query.model.Visitors
          org.modeshape.jcr.query.Visitors

    public class Visitors

extends Visitors

Nested Class Summary
`static class` | `Visitors.JcrSql2Writer`

Nested classes/interfaces inherited from class org.modeshape.graph.query.model.Visitors
`Visitors.AbstractVisitor, Visitors.NavigationVisitor, Visitors.ReadableVisitor, Visitors.WalkAllVisitor`

Field Summary
`protected static char` | `CLOSE_SQUARE`
`protected static char` | `DOUBLE_QUOTE`
`protected static char` | `OPEN_SQUARE`
`protected static char` | `SINGLE_QUOTE`

Fields inherited from class org.modeshape.graph.query.model.Visitors
`DEFAULT_CONTEXT`

Constructor Summary
`Visitors()`

Method Summary
`static String` | `readable(Visitable visitable)` Using a visitor, obtain the readable string representation of the supplied `object`
`static String` | `readable(Visitable visitable, ExecutionContext context)` Using a visitor, obtain the readable string representation of the supplied `object`

Methods inherited from class org.modeshape.graph.query.model.Visitors
`getSelectorAliasesByName, getSelectorNamesByAlias, getSelectorsReferencedBy, subqueries, visit, visitAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_SQUARE

    protected static final char OPEN_SQUARE

See Also:
  Constant Field Values

### CLOSE_SQUARE

    protected static final char CLOSE_SQUARE

See Also:
  Constant Field Values

### DOUBLE_QUOTE

    protected static final char DOUBLE_QUOTE

See Also:
  Constant Field Values

### SINGLE_QUOTE

    protected static final char SINGLE_QUOTE

See Also:
  Constant Field Values

Constructor Detail

### Visitors

    public Visitors()

Method Detail

### readable

    public static String readable(Visitable visitable)

  Using a visitor, obtain the readable string representation of the supplied `object`

  Parameters:
    `visitable` - the visitable
  Returns:
    the string representation

### readable

    public static String readable(Visitable visitable,
                                  ExecutionContext context)

  Using a visitor, obtain the readable string representation of the supplied `object`

  Parameters:
    `visitable` - the visitable
    `context` - the execution context in which the visitable should be converted to a string
  Returns:
    the string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.